# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pagefind"
version = "1.3.0"
build = false
include = [
    "/src",
    "/vendor",
    "/features",
    "/tests",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Implement search on any static website."
readme = false
license = "MIT"
resolver = "1"

[lib]
name = "pagefind"
path = "src/lib.rs"

[[bin]]
name = "pagefind"
path = "src/main.rs"

[dependencies.actix-files]
version = "0.6"

[dependencies.actix-web]
version = "4"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-compression]
version = "0.4"
features = [
    "tokio",
    "gzip",
]

[dependencies.base64]
version = "0.21"

[dependencies.bit-set]
version = "0.5"

[dependencies.charabia]
version = "0.8.8"
features = [
    "chinese",
    "japanese",
]
optional = true
default-features = false

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.console]
version = "0.15.1"

[dependencies.convert_case]
version = "0.6.0"

[dependencies.either]
version = "1.9.0"

[dependencies.emojis]
version = "0.6.1"

[dependencies.flate2]
version = "1.0"

[dependencies.futures]
version = "0.3"

[dependencies.hashbrown]
version = "0.13.1"
features = ["serde"]

[dependencies.html-escape]
version = "0.2.11"

[dependencies.include_dir]
version = "0.7.2"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.lexical-core]
version = "0.8.5"

[dependencies.lol_html]
version = "0.4"

[dependencies.minicbor]
version = "0.19.1"
features = [
    "alloc",
    "derive",
]

[dependencies.minifier]
version = "0.2.2"

[dependencies.pagefind_stem]
version = "0.2.0"
features = [
    "arabic",
    "armenian",
    "basque",
    "catalan",
    "danish",
    "dutch",
    "english",
    "finnish",
    "french",
    "german",
    "greek",
    "hindi",
    "hungarian",
    "indonesian",
    "irish",
    "italian",
    "lithuanian",
    "nepali",
    "norwegian",
    "portuguese",
    "romanian",
    "russian",
    "serbian",
    "spanish",
    "swedish",
    "tamil",
    "turkish",
    "yiddish",
]

[dependencies.path-slash]
version = "0.2"

[dependencies.portpicker]
version = "0.1"

[dependencies.regex]
version = "1.1"

[dependencies.rust-patch]
version = "0.1.3"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha-1]
version = "0.10"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "fs",
    "time",
    "macros",
]

[dependencies.twelf]
version = "0.11"
features = [
    "env",
    "clap",
    "json",
    "yaml",
    "toml",
]
default-features = false

[dependencies.typed-builder]
version = "0.20.0"

[dependencies.unicode-segmentation]
version = "1.10.1"

[dependencies.wax]
version = "0.5.0"

[features]
extended = ["dep:charabia"]
